:	This SH creates the C compiler.
:	$1 = {fpp, nofpp}	- to designate floating hardware or not.

echo 
echo C compiler: /lib/c0 /lib/c1 /lib/c2
if $1x = x	echo nofpp assumed

chdir ../cc

: c0
	cc -n -s -O c0*.c
	mv a.out c0

: cvopt
	cc cvopt.c
	mv a.out cvopt
	cvopt table.s table.i
	as table.i
	mv a.out table.o

: c1
	cc -c c1*.c
	if $1x = fppx cc -n -s -O c1*.o table.o
	if $1x != fppx cc -n -s -O -f c1*.o table.o
	mv a.out c1

: c2
	cc -n -s -O c2*.c
	mv a.out c2

: Put compiler in /lib
	mv -f c0 /lib/c0
	rm -f /lib/fc0
	ln /lib/c0 /lib/fc0
	mv -f c1 /lib/c1
	rm -f /lib/fc1
	ln /lib/c1 /lib/fc1
	mv -f c2 /lib/c2

: fix permissions on compiler
	chdir /lib
	chmod 755 c0 c1 c2 fc0 fc1
	chown bin c0 c1 c2 fc0 fc1
